aom_partition_decision Struct Reference
Supported Codecs » AOM » AOMedia AOM/AV1 Encoder

Partition decisions received from the external model. More...

`#include <aom_external_partition.h>`

## Data Fields

int | is_final_decision
| The flag whether it's the final decision.
int | num_nodes
| The number of leaf nodes.
int | partition_decision [2048]
| Partition decisions.
int | current_decision
| Partition decision for the current block.
int | terminate_partition_search
| Terminate further partition search.
int | partition_none_allowed
| Allow partition none type.
int | partition_rect_allowed [2]
| Allow rectangular partitions.
int | do_rectangular_split
| Try rectangular split partition.
int | do_square_split
| Try square split partition.
int | prune_rect_part [2]
| Prune rectangular partition.
int | horza_partition_allowed
| Allow HORZ_A partition.
int | horzb_partition_allowed
| Allow HORZ_B partition.
int | verta_partition_allowed
| Allow VERT_A partition.
int | vertb_partition_allowed
| Allow VERT_B partition.
int | partition_horz4_allowed
| Allow HORZ4 partition.
int | partition_vert4_allowed
| Allow VERT4 partition.

## Detailed Description

Partition decisions received from the external model.

The encoder receives partition decisions and encodes the superblock with the given partition type. The encoder receives it from "func()" define in ....

NOTE: new member variables may be added to this structure in the future. Once new features are finalized, bump the major version of libaom.

The documentation for this struct was generated from the following file:

- aom/aom_external_partition.h